dwpt.boot {waveslim} | R Documentation

## Bootstrap Time Series Using the DWPT

### Description

An adaptive orthonormal basis is selected in order to perform the naive bootstrap within nodes of the wavelet packet tree. A bootstrap realization of the time series is produce by applying the inverse DWPT.

### Usage

    dwpt.boot(y, wf, J=log(length(y),2)-1, p=1e-04, frac=1)

### Arguments

`y` | Not necessarily dyadic length time series.
`wf` | Name of the wavelet filter to use in the decomposition. See `wave.filter` for those wavelet filters available.
`J` | Depth of the discrete wavelet packet transform.
`p` | Level of significance for the white noise testing procedure.
`frac` | Fraction of the time series that should be used in constructing the likelihood function.

### Details

A subroutines is used to select an adaptive orthonormal basis for the piecewise-constant approximation to the underlying spectral density function (SDF). Once selected, sampling with replacement is performed within each wavelet packet coefficient vector and the new collection of wavelet packet coefficients are reconstructed into a bootstrap realization of the original time series.

### Value

Time series of length $N$, where $N$ is the length of `y`.

### Author(s)

B. Whitcher

### References

Percival, D.B., S. Sardy, A. Davision (2000) Wavestrapping Time Series: Adaptive Wavelet-Based Bootstrapping, in B.J. Fitzgerald, R.L. Smith, A.T. Walden, P.C. Young (Eds.) Nonlinear and Nonstationary Signal Processing, pp. 442-471.

Whitcher, B. (2001) Simulating Gaussian Stationary Time Series with Unbounded Spectra, Journal of Computational and Graphical Statistics, 10, No. 1, 112-134.

Whitcher, B. (2004) Wavelet-Based Estimation for Seasonal Long-Memory Processes, Technometrics, 46, No. 2, 225-238.

### See Also

`dwpt.sim`, `spp.mle`

[Package waveslim version 1.7.5.1 Index]